Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01170 Sound Minor Have not tried Feb 12, 2008, 08:04 Sep 22, 2016, 21:10
Tester Thenasty View Status Public Platform
Assigned To Kale Resolution Fixed OS
Status [?] Resolved Driver taitosj.cpp
Version 0.97u1 Fixed in Version 0.178 Build
Summary 01170: piratpet, junglek, jungleh: First time you load the game, no attract mode sound.
Description First time you load the game, no attract mode sound, but after inserting a coin and playing a game, the attract mode sounds works. Also after playing a game, let the attract mode continues up to 5 cycles, you will notice this: On the second and fourth cycle, when the Pete touches the pirate at the end and gets killed, no sound for getting killed. Then on the 5th cycle, there will be no more attract mode sound and if you insert a coin and play a game, ALL THE SOUNDS ARE GONE (Coin Insert, Dying, Swinging, Swimming, Oxygen, Killing Shark, Diving, Jumping, Rock sounds, Snake sounds etc... ) except for the music background.

junglek: When game first loads, attract mode has no sound, but after inserting a coin a playing a game, attract has sounds (except Tarzan Yell).

jungleh: When game first loads, attract mode has no sound, but after inserting a coin a playing a game, attract has sounds (except the Beginning Music).
Steps To Reproduce
Additional Information
Flags Verified with Code
Regression Version
Affected Sets / Systems piratpet, junglek, jungleh
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.13174
Kale
Developer
Sep 16, 2016, 18:14
Turns out that this game uses an unimplemented feature of the sound CPU, which disables entirely attract mode sounds.
User avatar
No.13200
Lord Nightmare
Developer
Sep 22, 2016, 21:10
edited on: Sep 22, 2016, 21:12
Actually, the game used a formerly unimplemented second sound cpu semamphore to tell the sound cpu not to accept any sound effect commands during attract mode, and the fact that attract mode would produce sounds at all after you die was a bug, now attract mode is always silent no matter what.

There is a SECOND, still (as of 20160922) unimplemented feature of the main cpu "SOUND STOP" which suppresses all sound by overdriving/clipping the final board amplifier, which is not yet implemented. This is done to prevent spurious coin-up sound effects when first turning on the game, and the lack of emulation of this is what causes a bogus coin-up sound effect in time tunnel.